List Tickets (BETA)

Required roles: support-r

Ticket querying and sorting behaves slightly different from other list calls, because Zendesk does not have
full support for the functionality we normally provide.

  • Sort doesn't support multi-field sorting. You can only sort on one field at a time: 'updated_at: desc',
    'created_at: asc', etc. (For a complete reference see:
    Zendesk sorting)
  • Query has a similar syntax but doesn't support AND, OR, (). It only allows multiple AND filters using a space
    between conditions. (See:
    Zendesk search)

Use view to pick a status view: all (default), is_open (unsolved only), or is_closed (resolved only).

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
enum
Defaults to all

Named status view for ticket list endpoints.

  • all: every ticket (no status filter)
  • is_open: not-yet-resolved tickets (Zendesk status<solved: new/open/pending/hold)
  • is_closed: resolved tickets (Zendesk status>=solved: solved/closed)
Allowed:
integer
≥ 1
Defaults to 1
integer
1 to 250
Defaults to 50
string
Defaults to *
string | null
Headers
string
enum

Language of translated texts in the response. Without it, your user's language is used.

Allowed:
uuid

Limit the request to one of the organizations your user has access to. Without it, the request covers all of them.

Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json